<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<artifactId>tio-site-all</artifactId>
	<name>${project.artifactId}</name>

	<parent>
		<groupId>org.t-io</groupId>
		<artifactId>tio-zoo-parent</artifactId>
		<version>3.8.1.v20220401-RELEASE</version>
	</parent>
	<properties>
		<tio.version>3.8.1.v20220401-RELEASE</tio.version>
	</properties>
	<dependencies>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
			<version>4.3.8.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.80</version>
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>5.8.4</version>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>RELEASE</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>2.0.12</version>
		</dependency>
		<dependency>
			<groupId>com.jthinking.common</groupId>
			<artifactId>ip-info</artifactId>
			<version>2.1.7</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
			<version>1.2.24</version>
		</dependency>
		<dependency>
			<groupId>net.sf.ehcache</groupId>
			<artifactId>ehcache-core</artifactId>
			<version>2.6.11</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>3.1.0</version>
			<scope>provided</scope>
		</dependency>

		<dependency>
			<groupId>org.t-io</groupId>
			<artifactId>tio-utils</artifactId>
			<version>${tio.version}</version>
		</dependency>
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
			<version>31.1-jre</version>
		</dependency>
		<dependency>
			<groupId>org.apache.httpcomponents</groupId>
			<artifactId>httpclient</artifactId>
			<version>4.5.14</version>
		</dependency>
		<dependency>
			<groupId>org.freemarker</groupId>
			<artifactId>freemarker</artifactId>
			<version>2.3.31</version>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>core</artifactId>
			<version>3.4.1</version>
		</dependency>
		<dependency>
			<groupId>org.quartz-scheduler</groupId>
			<artifactId>quartz</artifactId>
			<version>2.3.0</version>
		</dependency>
		<dependency>
			<groupId>org.redisson</groupId>
			<artifactId>redisson</artifactId>
			<version>3.16.3</version>
		</dependency>
		<dependency>
			<groupId>nl.basjes.parse.useragent</groupId>
			<artifactId>yauaa</artifactId>
			<version>6.0</version>
		</dependency>
		<dependency>
			<groupId>org.lionsoul</groupId>
			<artifactId>ip2region</artifactId>
			<version>1.7.2</version>
		</dependency>
		<dependency>
			<groupId>org.aplus</groupId>
			<artifactId>aplus-captcha</artifactId>
			<version>10.8.8</version>
		</dependency>
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-configuration2</artifactId>
			<version>2.7</version>
		</dependency>
		<dependency>
			<groupId>com.googlecode.mp4parser</groupId>
			<artifactId>isoparser</artifactId>
			<version>1.1.22</version>
		</dependency>
		<dependency>
			<groupId>io.agora</groupId>
			<artifactId>authentication</artifactId>
			<version>2.1.1</version>
		</dependency>
		<dependency>
			<groupId>net.sf.json-lib</groupId>
			<artifactId>json-lib</artifactId>
			<version>2.4</version>
			<classifier>jdk15</classifier>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>1.7.30</version>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>1.2.3</version>
		</dependency>
		<dependency>
			<groupId>com.googlecode.json-simple</groupId>
			<artifactId>json-simple</artifactId>
			<version>1.1.1</version>
		</dependency>
		<dependency>
			<groupId>com.t-io</groupId>
			<artifactId>tio-websocket-common</artifactId>
			<version>${tio.version}</version>
		</dependency>
		<dependency>
			<groupId>org.t-io</groupId>
			<artifactId>tio-webpack-core</artifactId>
			<version>${tio.version}</version>
		</dependency>
		<dependency>
			<groupId>com.t-io</groupId>
			<artifactId>tio-websocket-server</artifactId>
			<version>${tio.version}</version>
		</dependency>
		<dependency>
			<groupId>com.aliyun</groupId>
			<artifactId>aliyun-java-sdk-core</artifactId>
			<version>4.3.9</version>
		</dependency>

		<dependency>
			<groupId>net.coobird</groupId>
			<artifactId>thumbnailator</artifactId>
			<version>0.4.14</version>
		</dependency>
		<dependency>
			<groupId>tio-aliyun</groupId>
			<artifactId>aliyun-java-sdk-dysmsapi</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>push</groupId>
			<artifactId>com.vivo</artifactId>
			<version>3.3</version>
		</dependency>
		<dependency>
			<groupId>com.belerweb</groupId>
			<artifactId>pinyin4j</artifactId>
			<version>2.5.1</version>
		</dependency>
		<dependency>
			<groupId>com.aliyun.oss</groupId>
			<artifactId>aliyun-sdk-oss</artifactId>
			<version>2.8.2</version>
		</dependency>
		<dependency>
			<groupId>com.xiaomi</groupId>
			<artifactId>mi-push</artifactId>
			<version>1.0.14</version>
		</dependency>
		<dependency>
			<groupId>com.oppo</groupId>
			<artifactId>opush-server-sdk</artifactId>
			<version>1.1.0</version>
		</dependency>
		<dependency>
			<groupId>io.github.jpush</groupId>
			<artifactId>jiguang-sdk</artifactId>
			<version>5.1.13</version>
		</dependency>
	</dependencies>

	<build>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>false</filtering>
			</resource>

		</resources>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<configuration>
					<archive>
						<manifest>
							<mainClass>org.tio.sitexxx.Starter</mainClass>
							<addDefaultImplementationEntries>true</addDefaultImplementationEntries>
							<addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
						</manifest>
						<addMavenDescriptor>false</addMavenDescriptor><!-- 生成的jar中，不要包含pom.xml和pom.properties这两个文件 -->
					</archive>

					<finalName>${project.artifactId}</finalName>

					<excludes>
						<exclude>/page/</exclude>
						<!--						<exclude>/config/</exclude>-->
						<!--						<exclude>/*.properties</exclude>-->
						<!--						<exclude>/*.xml</exclude>-->
						<!--						<exclude>/*.json</exclude>-->
						<!--						<exclude>/*.pfx</exclude>-->
						<!--						<exclude>/*.cer</exclude>-->
						<!--						<exclude>/*.jf</exclude>-->
					</excludes>
				</configuration>
			</plugin>

			<!-- The configuration of maven-assembly-plugin -->
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<executions>
					<execution>
						<id>make-assembly</id> <!--名字任意 -->
						<phase>package</phase>  <!-- 绑定到package生命周期阶段上 -->
						<goals>
							<goal>single</goal>
						</goals>
						<configuration>
							<appendAssemblyId>false</appendAssemblyId>
							<descriptors>
								<descriptor>script/pkg.xml</descriptor>
							</descriptors>
							<outputDirectory>target</outputDirectory>
							<finalName>${project.artifactId}</finalName>
							<archive>
								<manifest>
									<mainClass>org.tio.sitexxx.Starter</mainClass>
								</manifest>
							</archive>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>